{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To list all Droplets in your account, send a GET request to `/v2/droplets`.\n\nThe response body will be a JSON object with a key of `droplets`. This will be\nset to an array containing objects each representing a Droplet. These will\ncontain the standard Droplet attributes.\n\n### Filtering Results by Tag\n\nIt's possible to request filtered results by including certain query parameters.\nTo only list Droplets assigned to a specific tag, include the `tag_name` query\nparameter set to the name of the tag in your GET request. For example,\n`/v2/droplets?tag_name=$TAG_NAME`.\n\n### GPU Droplets\n\nBy default, only non-GPU Droplets are returned. To list only GPU Droplets, set\nthe `type` query parameter to `gpus`. For example, `/v2/droplets?type=gpus`.\n","properties":{"query":{"type":"object","properties":{"per_page":{"type":"integer","minimum":1,"default":20,"maximum":200,"examples":[2],"description":"Number of items returned per page"},"page":{"type":"integer","minimum":1,"default":1,"examples":[1],"description":"Which 'page' of paginated results to return."},"tag_name":{"type":"string","examples":["env:prod"],"description":"Used to filter Droplets by a specific tag. Can not be combined with `name` or `type`.<br>Requires `tag:read` scope."},"name":{"type":"string","examples":["web-01"],"description":"Used to filter list response by Droplet name returning only exact matches. It is case-insensitive and can not be combined with `tag_name`."},"type":{"type":"string","enum":["droplets","gpus"],"examples":["droplets"],"description":"When `type` is set to `gpus`, only GPU Droplets will be returned. By default, only non-GPU Droplets are returned. Can not be combined with `tag_name`."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"List All Droplets","id":"digitalocean.droplets_list","example":{},"maxRequests":1,"summary":false}}